Bug 521298 - Fix instances of #!/usr/bin/env python in policycoreutils-gui
Summary: Fix instances of #!/usr/bin/env python in policycoreutils-gui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks: 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-04 16:51 UTC by Chris Williams
Modified: 2018-10-27 16:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:13:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0208 0 normal SHIPPED_LIVE policycoreutils bug fix update 2010-03-29 12:28:37 UTC

Description Chris Williams 2009-09-04 16:51:21 UTC
"There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, policycoreutils-gui in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python"

Comment 1 Kent Baxley 2009-09-04 19:37:18 UTC
# head -1 /usr/share/system-config-selinux/templates/executable.py
#! /usr/bin/env python

Comment 3 Miroslav Grepl 2009-11-25 16:26:34 UTC
Fixed in policycoreutils-1.33.12-14.7.el5

Comment 7 errata-xmlrpc 2010-03-30 08:13:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0208.html


Note You need to log in before you can comment on or make changes to this bug.